Subject: Re: [PATCH ethtool-next] rxclass: Make output for RSS context action explicit

From: Jakub Kicinski <[email-masked]>
Date: Mon, 11 Nov 2024 10:22:18 -0800

On Mon, 11 Nov 2024 10:47:47 +0000 Edward Cree wrote:
> On 09/11/2024 17:42, Jakub Kicinski wrote:
> > I'd suggest we merge Daniel's patch (almost) as is, and you can
> > (re)establish the behavior sfc wants but you owe us:
> >  - fixes for helpers used in "is the queue in use" checks like
> >    ethtool_get_max_rss_ctx_channel()
> >  - "opt in" flag for drivers which actually support this rather 
> >    than silently ignoring ring_cookie if rss ctx is set
> >  - selftest  
> 
> Sure, I'll get to work on those.
> But I don't think Daniel's patch should be merged; the old output
>  is confusing or misleading, but the new output is incorrect (when
>  run against a current kernel and sfc, or a future fixed kernel and
>  any driver that opts in to allow nonzero ring_cookie).
> If ring_cookie is nonzero then it *must* be printed, unless ethtool
>  has some way to *know* it's ignored.  Regressions are worse than
>  existing bugs, after all.

If you promise sending patches for the kernel side validation soon -
printing when non-zero makes sense :)